China factories

 Customized Petal Hotel Lobby Sales Department Sand Table Hall Art Decoration Pendant Lamp

Price: Negotiation Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

JYLIGHTING Japanese Style Bamboo Woven Chandelier Rural Homestay Art Decoration Pendant Lamp Living Dining Bedroom Light Floor

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-HM-D2025
  • Minimum Order Quantity: 2 PC
  • Delivery Time: 15 days after received the advance payment
  • view more

Postmodern Minimalist Art Glass Pendant Lamp Bar Bedroom Cafe Duna Pendant Lamp(WH-GP-141)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-141
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Creative modern gold metal ceiling chandelier art decor hanging lamps led pendant light

Price: φ450*H650 mm 65.87USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B20003/450
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Modern Art Decorative Pendant Lights High Ceiling Round Hotel Chandelier

Price: Negotiation Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: YH-1101-31
  • Minimum Order Quantity: 1PC
  • Delivery Time: 10-30 working days
  • view more

Modern Design Style High-End Decorative Pendant Lamps Wall Lights for Bedroom Living Room for Service Apartments Ready Move

Price: ≥5 sets $28-100 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: EG-BED1050
  • Minimum Order Quantity: ≥5sets
  • Delivery Time: 4 work days
  • view more

Large Luxury Black Frame Handcrafted Metal Wall Art Decor

Price: $5.00-$50.00/ Piece Get Latest Price
  • Brand Name: ZHONGYI
  • Model Number: ZY19057
  • Minimum Order Quantity: 50 pcs
  • Delivery Time: 45 days
  • view more

DIY black modern led ring pendant lamp led ring chandelier droplight ceiling lamp for hotel decoration

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: PD801-B
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 15-35days of LED Pendant light
  • view more

Large Art Weather-Tough Metal Wall Art Sculpture Decoration Stainless Steel Angel

Price: Usd/299-19500/Piece Get Latest Price
  • Brand Name: WONDECOR
  • Model Number: A 216
  • Minimum Order Quantity: 1/Piece
  • Delivery Time: 25 working days
  • view more

Modern White Cloud Chandelier Light Cloud Pendant Lamp Floating Cloud Lamp

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

Rockery Mirror Wall Decoration Pendant Pasted 3d Metal Wall Art

Price: 1000USD - 10000 USD Get Latest Price
  • Brand Name: Negotiable
  • Model Number: STS08
  • Minimum Order Quantity: 1 piece
  • Delivery Time: 10 work days
  • view more

110-240V Voltage Customized Pendant Lamp with Metal Finish and Craftsmanship

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Large Outdoor Art Decorative Corten Steel Abstract Sculpture Forging And Casting

Price: Negotiable Get Latest Price
  • Brand Name: WANGSTONE
  • Model Number: WS-19CS042
  • Minimum Order Quantity: 1 PC
  • Delivery Time: 30-45 DAYS
  • view more

6.6FT Large Floor Folding Paper Lamp For Living Room Decor 240v

Price: Negotiable Get Latest Price
  • Brand Name: Paper Bole
  • Model Number: JS-FS'
  • Minimum Order Quantity: 1
  • Delivery Time: 15 work days
  • view more

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

Modern Large Abstract Metal Sculpture Park Art Decoration 6 Meter Height

Price: Negotiate Get Latest Price
  • Brand Name: FLYART
  • Model Number: FA-19ST024
  • Minimum Order Quantity: 1
  • Delivery Time: 35-40 days after deposit received
  • view more

G125 Filament LED Lights For Home Decoration , Dimmable Pineapple Decorative LED Lamps

Price: 3 Get Latest Price
  • Brand Name: LFL
  • Model Number: LFL-RXG1250-4W
  • Minimum Order Quantity: 1000
  • Delivery Time: Negotiable
  • view more

Stainless Steel Flower Sculpture Lotus Large Garden Decoration Art Metal Modern

Price: $1000.00 - $9500.00 / Piece Get Latest Price
  • Brand Name: BLVE
  • Model Number: SSD-37
  • Minimum Order Quantity: 1
  • Delivery Time: 30 days
  • view more